UnitTest Class Reference

`#include <UnitTest.h>`

Inheritance diagram for UnitTest:

## Public Member Functions

| UnitTest (std::string n, TestSuite *s)
| ~UnitTest (void)
virtual void | setup (void)
void | run (void)
virtual void | cleanup (void)
Public Member Functions inherited from Test
| Test (void)
| Test (const std::string &n)
| Test (const std::string &n, TestSuite *s)
virtual | ~Test (void)
const std::string & | getName (void)
TestSuite * | getSuite (void)

## Protected Member Functions

void | addTestCategory (TestCategory *tc)
void | addTestResult (bool r)
char * | strip_test (char *s)

## Private Attributes

std::vector< TestCategory * > | TestCategories
Globals | GlobsBackup
| servers as a backup for the Globals object stored in Globs

## Constructor & Destructor Documentation

## UnitTest()

UnitTest::UnitTest | ( | std::string | n,
|  | TestSuite * | s )

inline

Parameters

  n | name of this unit test (probably the name of the tested class)

## ~UnitTest()

UnitTest::~UnitTest | ( | void |  | ) |

## Member Function Documentation

## addTestCategory()

void UnitTest::addTestCategory | ( | TestCategory * | tc | ) |

protected

## addTestResult()

void UnitTest::addTestResult | ( | bool | r | ) |

protected

## cleanup()

void UnitTest::cleanup | ( | void |  | ) |

virtual

cleanup the unit test - called after run

Reimplemented in AudioSampleValueTest, AuFileTest, BFSAPHeuristicTest, BitStringTest, BmpFileTest, BmpOS2FileTest, BmpPaletteSampleValueTest, BmpRGBSampleValueTest, BmpWinFileTest, DFSAPHeuristicTest, EdgeIteratorTest, GraphTest, JpegFileTest, JpegSampleValueTest, MatchingTest, SelectorTest, WavFileTest, WavPCMSampleValueTest, and WKSConstructionHeuristicTest.

## run()

void UnitTest::run | ( | void |  | ) |

virtual

Implements Test.

## setup()

void UnitTest::setup | ( | void |  | ) |

virtual

setup the unit test - called before run

UnitTest::setup will (together with UnitTest::cleanup) save and restore the object stored in Globs so they should be called from the corresponding functions in the derived object if the derived unit test manipulates the Globs object.

Reimplemented in AudioSampleValueTest, AuFileTest, BFSAPHeuristicTest, BitStringTest, BmpFileTest, BmpOS2FileTest, BmpPaletteSampleValueTest, BmpRGBSampleValueTest, BmpWinFileTest, DFSAPHeuristicTest, EdgeIteratorTest, GraphTest, JpegFileTest, JpegSampleValueTest, MatchingTest, SampleValueAdjacencyListTest, SelectorTest, WavFileTest, WavPCMSampleValueTest, and WKSConstructionHeuristicTest.

## strip_test()

char * UnitTest::strip_test | ( | char * | s | ) |

inline protected

## Member Data Documentation

## GlobsBackup

Globals UnitTest::GlobsBackup

private

## TestCategories

std::vector<TestCategory*> UnitTest::TestCategories

private

The documentation for this class was generated from the following files:

- UnitTest.h
- UnitTest.cc